/* --------------------------
   Global reset
--------------------------- */
html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    color: black;
    font-family: Tahoma, sans-serif;
}

/* --------------------------
   Header
--------------------------- */
#header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 150px;
    background-color: #4a3c30;
    color: white;
    z-index: 9000;
    text-align: center;
    line-height: 35px;

}

#header h1 {
    margin: 10;
    padding: 0;
    font-size: 36px;
    color: #f7f7f7;
}

/* --------------------------
   Sidebar
--------------------------- */
#sidebar {
    position: absolute;
    top: 0px;  /* below header */
    left: 0;
    width: 300px;
    bottom: 0;   /* stretch to bottom */
    background-color: #4a3c30;
    color: white;
    padding: 0px 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    z-index: 9001;
}

.icon {
    width: 150px;
    height: 150px;
    object-fit: cover;
    margin: 0 auto;
}

.side-btn {
    display: block;
    background: #ac9573;
    padding: 12px;
    border-radius: 6px;
    color: white;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    cursor: pointer;
    text-shadow: 2px 2px 0 black;
}

.side-btn:hover {
    background: #3d5a73;
}

/* --------------------------
   Map container
--------------------------- */
#map {
    position: absolute;
    top: 150px;      /* below header */
    left: 320px;     /* next to sidebar */
    right: 0;
    bottom: 0;
    z-index: 1;
}

/* --------------------------
   Search box
--------------------------- */
#searchBox {
    position: absolute;
    top: 160px;       /* inside header */
    right: 20px;
    z-index: 1002;
    padding: 10px;
    width: 260px;
    border-radius: 8px;
    font-size: 15px;
    border: 2px solid #999;
}

/* --------------------------
   Routing control position
--------------------------- */
.leaflet-routing-container {
    bottom: 40px !important; /* 20px above bottom + 20px offset from search box */
}

      .filter-group {
        font-size: 13px;
      }

      .filter-group label {
        display: block;
        margin-bottom: 4px;
      }

      .filter-group input[type="number"] {
        width: 100%;
        box-sizing: border-box;
        margin-bottom: 6px;
      }

      .filter-group .checkbox-row {
        margin-bottom: 4px;
      }
